[package]
name = "fast_mmaped_file_rs"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
hashbrown = "0.14"
libc = "0.2"
magnus = { version = "0.7", features = ["rb-sys"] }
memmap2 = "0.9"
# v0.26 cannot be built on CentOS 7 https://github.com/nix-rust/nix/issues/1972
nix = { version = "0.25", features = ["mman"] } # mman used for MsFlags
rb-sys = { version = "0.9", features = ["stable-api-compiled-fallback"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = { version = "1.0", features = ["raw_value"] }
smallvec = { version = "1.14", features = ["serde"] }
thiserror = "2.0"

[dev-dependencies]
bstr = "1.11"
indoc = "2.0"
# We need the `embed` feature to run tests, but this triggers failures when building as a Gem.
magnus = { version = "0.7", features = ["rb-sys","embed"] }
rand = "0.8"
sha2 = "0.10"
tempfile = "3.17"

[build-dependencies]
rb-sys-env = "0.2.2"

[lib]
# Integration tests won't work if crate is only `cdylib`.
crate-type = ["cdylib","lib"]
